package nc.vo.sap.log;

import nc.pub.sap.utils.SapUtils;
import nc.vo.pub.SuperVO;

/**
 * @Description: 采购日志
 * 
 * @author 谢文如 【碧桂园SAP专项】
 * @date 2018-4-6
 * @version with NC V6.3
 */
@SuppressWarnings("deprecation")
public class SapPurchaseLogVO extends SuperVO{
	
	private static final long serialVersionUID = 1L;
	
	private String pk_log;
	private String pk_group;
	private String pk_org;
	private String billid;
	private String billno;
	private String pk_billtypeid;
	private String pk_billtypecode;
	private String pk_transtypeid;
	private String pk_transtypecode;
	private String send_data_ns;
	private String send_data_sn;
	private String resultdata_ns;
	private String msg_ns;
	private String resultdata_sn;
	private String msg_sn;
	private String issuccess_ns;
	private String issuccess_sn;
	private String ts;
	private String dr;
	private String def1;
	/**
	 * 自定义项2
	 */
	private String def2;
	/**
	 * 自定义项3
	 */
	private String def3;
	/**
	 * 自定义项4
	 */
	private String def4;
	/**
	 * 自定义项5
	 */
	private String def5;
	/**
	 * 自定义项6
	 */
	private String def6;
	/**
	 * 自定义项7
	 */
	private String def7;
	/**
	 * 自定义项8
	 */
	private String def8;
	/**
	 * 自定义项9
	 */
	private String def9;
	
	private String def10;
	private String def11;
	private String def12;
	private String def13;
	private String def14;
	private String def15;
	private String def16;
	private String def17;
	private String def18;
	private String def19;
	private String def20;
	
	public String getPk_log() {
		return pk_log;
	}

	public void setPk_log(String pk_log) {
		this.pk_log = pk_log;
	}

	public String getPk_group() {
		return pk_group;
	}

	public void setPk_group(String pk_group) {
		this.pk_group = pk_group;
	}

	public String getPk_org() {
		return pk_org;
	}

	public void setPk_org(String pk_org) {
		this.pk_org = pk_org;
	}

	public String getBillid() {
		return billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getPk_billtypeid() {
		return pk_billtypeid;
	}

	public void setPk_billtypeid(String pk_billtypeid) {
		this.pk_billtypeid = pk_billtypeid;
	}

	public String getPk_billtypecode() {
		return pk_billtypecode;
	}

	public void setPk_billtypecode(String pk_billtypecode) {
		this.pk_billtypecode = pk_billtypecode;
	}

	public String getPk_transtypeid() {
		return pk_transtypeid;
	}

	public void setPk_transtypeid(String pk_transtypeid) {
		this.pk_transtypeid = pk_transtypeid;
	}

	public String getPk_transtypecode() {
		return pk_transtypecode;
	}

	public void setPk_transtypecode(String pk_transtypecode) {
		this.pk_transtypecode = pk_transtypecode;
	}

	public String getSend_data_ns() {
		return send_data_ns;
	}

	public void setSend_data_ns(String send_data_ns) {
		this.send_data_ns = send_data_ns;
	}

	public String getSend_data_sn() {
		return send_data_sn;
	}

	public void setSend_data_sn(String send_data_sn) {
		this.send_data_sn = send_data_sn;
	}

	public String getResultdata_ns() {
		return resultdata_ns;
	}

	public void setResultdata_ns(String resultdata_ns) {
		this.resultdata_ns = resultdata_ns;
	}

	public String getMsg_ns() {
		return msg_ns;
	}

	public void setMsg_ns(String msg_ns) {
		this.msg_ns = SapUtils.getNewStr(msg_ns);
	}

	public String getResultdata_sn() {
		return resultdata_sn;
	}

	public void setResultdata_sn(String resultdata_sn) {
		this.resultdata_sn = resultdata_sn;
	}

	public String getMsg_sn() {
		return msg_sn;
	}

	public void setMsg_sn(String msg_sn) {
		this.msg_sn = SapUtils.getNewStr(msg_sn);
	}

	public String getIssuccess_ns() {
		return issuccess_ns;
	}

	public void setIssuccess_ns(String issuccess_ns) {
		this.issuccess_ns = issuccess_ns;
	}

	public String getIssuccess_sn() {
		return issuccess_sn;
	}

	public void setIssuccess_sn(String issuccess_sn) {
		this.issuccess_sn = issuccess_sn;
	}

	public String getTs() {
		return ts;
	}

	public void setTs(String ts) {
		this.ts = ts;
	}

	public String getDr() {
		return dr;
	}

	public void setDr(String dr) {
		this.dr = dr;
	}

	public String getDef1() {
		return def1;
	}

	public void setDef1(String def1) {
		this.def1 = def1;
	}

	public String getDef2() {
		return def2;
	}

	public void setDef2(String def2) {
		this.def2 = def2;
	}

	public String getDef3() {
		return def3;
	}

	public void setDef3(String def3) {
		this.def3 = def3;
	}

	public String getDef4() {
		return def4;
	}

	public void setDef4(String def4) {
		this.def4 = def4;
	}

	public String getDef5() {
		return def5;
	}

	public void setDef5(String def5) {
		this.def5 = def5;
	}

	public String getDef6() {
		return def6;
	}

	public void setDef6(String def6) {
		this.def6 = def6;
	}

	public String getDef7() {
		return def7;
	}

	public void setDef7(String def7) {
		this.def7 = def7;
	}

	public String getDef8() {
		return def8;
	}

	public void setDef8(String def8) {
		this.def8 = def8;
	}

	public String getDef9() {
		return def9;
	}

	public void setDef9(String def9) {
		this.def9 = def9;
	}

	public String getDef10() {
		return def10;
	}

	public void setDef10(String def10) {
		this.def10 = def10;
	}

	public String getDef11() {
		return def11;
	}

	public void setDef11(String def11) {
		this.def11 = def11;
	}

	public String getDef12() {
		return def12;
	}

	public void setDef12(String def12) {
		this.def12 = def12;
	}

	public String getDef13() {
		return def13;
	}

	public void setDef13(String def13) {
		this.def13 = def13;
	}

	public String getDef14() {
		return def14;
	}

	public void setDef14(String def14) {
		this.def14 = def14;
	}

	public String getDef15() {
		return def15;
	}

	public void setDef15(String def15) {
		this.def15 = def15;
	}

	public String getDef16() {
		return def16;
	}

	public void setDef16(String def16) {
		this.def16 = def16;
	}

	public String getDef17() {
		return def17;
	}

	public void setDef17(String def17) {
		this.def17 = def17;
	}

	public String getDef18() {
		return def18;
	}

	public void setDef18(String def18) {
		this.def18 = def18;
	}

	public String getDef19() {
		return def19;
	}

	public void setDef19(String def19) {
		this.def19 = def19;
	}

	public String getDef20() {
		return def20;
	}

	public void setDef20(String def20) {
		this.def20 = def20;
	}

	/**
	 * <p>
	 * 取得父VO主键字段.
	 * <p>
	 * 创建日期:
	 * 
	 * @return String
	 */
	public String getParentPKFieldName() {
		return null;
	}

	/**
	 * <p>
	 * 取得表主键.
	 * <p>
	 * 创建日期:
	 * 
	 * @return String
	 */
	public String getPKFieldName() {
		return "pk_log";
	}

	/**
	 * <p>
	 * 返回表名称.
	 * <p>
	 * 创建日期:
	 * 
	 * @return String
	 */
	public String getTableName() {
		return "sap_po_log";
	}
	
}
